# $Revision: 1.8 $, $Date: 2012/01/27 08:28:51 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Parse
%define	pnam	Dia-SQL
Summary:	Parse::Dia::SQL - Convert Dia class diagrams into SQL
#Summary(pl.UTF-8):	
Name:		perl-Parse-Dia-SQL
Version:	0.19
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/A/AF/AFF/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c9e06b2be1874e3822d235ee0e76b757
URL:		http://search.cpan.org/dist/Parse-Dia-SQL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Log-Log4perl
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Text-Table
BuildRequires:	perl-XML-DOM
BuildRequires:	perl-XML-Parser
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::Dia::SQL converts Dia class diagrams into SQL.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc AUTHORS Changes README TODO
%{perl_vendorlib}/Parse/Dia
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Parse-Dia-SQL.spec,v $
Revision 1.8  2012/01/27 08:28:51  zbyniu
- up to 0.19

Revision 1.7  2012/01/14 13:23:26  zbyniu
- up to 0.18

Revision 1.6  2011/05/24 10:29:46  uzsolt
- 0.17

Revision 1.5  2011/01/22 21:59:59  sparky
- use working source0 uri

Revision 1.4  2011/01/22 19:34:44  sparky
- tests BR: perl-XML-Parser
- dropped unused BR: perl-Log-Dispatch-FileRotate

Revision 1.3  2011/01/19 22:44:22  uzsolt
- 0.16

Revision 1.2  2009/10/07 06:58:57  amateja
- updated to 0.11

Revision 1.1  2009/05/29 10:08:59  radek
- new

